<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  version="1.0">
<!-- use to transform aggregate junit report from junit-report ant task --> 
<xsl:output method="xml" indent="yes" encoding="utf-8" />
<xsl:template match="testsuites"><junit>
			<errors>
				<xsl:value-of select="sum(testsuite/@errors)"/>
			</errors>
			<failures>
				<xsl:value-of select="sum(testsuite/@failures)"/>
			</failures>
			<tests>
				<xsl:value-of select="sum(testsuite/@tests)"/>
			</tests>
			<skipped>
				<xsl:value-of select="sum(testsuite/@skipped)"/>
			</skipped>
		</junit>
	</xsl:template>
	<xsl:template match="text()"/>
</xsl:stylesheet>
